---
title: "POST /blueprints/simulating/data - Blueprints · RUAL Documentation"
description: "Cache data for blueprint simulation"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-simulating-data-post
language: en
---

# POST /blueprints/simulating/data

Cache data for blueprint simulation

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **key** optional | `string` | `"order_sync"` |  |
| **session** optional | `string` | 'a23575f49d0af385314c1f02280163374297e018a692e5e...' |  |

```
{
  "key": "order_sync",
  "session": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_view` | Required scope: blueprints_view |
